core.node / ServiceHub / recordTransactions

# recordTransactions

`open fun recordTransactions(txs: List<SignedTransaction>, skipRecordingMap: Boolean = false): Unit`

Given a list of SignedTransactions, writes them to the local storage for validated transactions and then sends them to the wallet for further processing.

TODO: Need to come up with a way for preventing transactions being written other than by this method. TODO: RecordingMap is test infrastructure. Refactor it away or find a way to ensure its only used in tests.

### Parameters

`txs` - The transactions to record
`skipRecordingMap` - This is used in unit testing and can be ignored most of the time.